Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-4046

Get puppetlabs/puppet_authorization to v1.0.0 quality

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Normal
    • Resolution: Won't Fix
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: supported
    • Labels:
      None
    • Template:
    • Acceptance Criteria:
      Hide

      Release v1.0.0

      Show
      Release v1.0.0
    • Team:
      Modules
    • Sprint:
      Modules - Product Backlog

      Description

      Since https://docs.puppet.com/puppetserver/latest/config_file_auth.html is encouraging people to use puppetlabs/puppet_authorization, that module should be at 1.0.0 quality. Since the software is pre-1.0.0, breaking changes are allowed. If you are implementing the technology as per the documentation, having breaking changes to the authorization mechanism is not a good thing as it is a key component of the security model.

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            ghoneycutt garrett honeycutt
            Votes:
            1 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support